### Method

# Gtk Assistant append_page

deprecated: 4.10

#### Declaration [src]

    int
    gtk_assistant_append_page (
      GtkAssistant* assistant,
      GtkWidget* page
    )

#### Description [src]

Appends a page to the `assistant`.

Deprecated since: 4.10

This widget will be removed in GTK 5.

#### Parameters

`page`

  Type: `GtkWidget`

  A `GtkWidget`.

  The data is owned by the caller of the method.

#### Return value

Type: `int`

The index (starting at 0) of the inserted page.